Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.ExternalFileThreshold Property
HashDatabase Class See Also Send Feedback

The threshold value in bytes beyond which data items are stored as external files.

Any data item that is equal to or larger in size than the threshold value is automatically stored as a external file.

A value of 0 indicates that external files are not used by the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public uint ExternalFileThreshold { get; }

Visual Basic (Declaration)
    Public ReadOnly Property ExternalFileThreshold As UInteger

Visual C++
    public:
    property unsigned int ExternalFileThreshold {
    	unsigned int get ();
    }

# See Also

HashDatabase Class
BerkeleyDB Namespace